Package com.sun.jna.platform.win32

# Class WinDef.UINT_PTR

java.lang.Object
java.lang.Number
com.sun.jna.IntegerType
com.sun.jna.platform.win32.WinDef.UINT_PTR

All Implemented Interfaces:
  `NativeMapped`, `Serializable`

Direct Known Subclasses:
  `WinDef.WPARAM`

Enclosing interface:
  WinDef

public static class WinDef.UINT_PTR extends IntegerType
Unsigned INT_PTR.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UINT_PTR()`
  Instantiates a new uint ptr.
  `UINT_PTR(long value)`
  Instantiates a new uint ptr.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Pointer`
  `toPointer()`
  To pointer.

  ### Methods inherited from class com.sun.jna.IntegerType

  `compare, compare, compare, doubleValue, equals, floatValue, fromNative, hashCode, intValue, longValue, nativeType, setValue, toNative, toString`

  ### Methods inherited from class java.lang.Number

  `byteValue, shortValue`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### UINT_PTR

    public UINT_PTR()
    Instantiates a new uint ptr.

  - ### UINT_PTR

    public UINT_PTR(long value)
    Instantiates a new uint ptr.
    Parameters:
      `value` - the value

- ## Method Details

  - ### toPointer

    public Pointer toPointer()
    To pointer.
    Returns:
      the pointer